#ifndef PAGEIDLE_H_
#define PAGEIDLE_H_

#include "gType.h" 
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "MainCtl.h"
#include "Device.h"
#include "EpDevice.h"
#include "DevProperty.h"

//For Idle View or Edit
class TPageIdle{
	public:

	public:
		TStaticText Caption;
		u32 Color;
		int IsShowing;
		TPoint OwnerLeftTop; //ParrentLeftTop;
		TRect Bound;	
		TRect Content;
		char Text[64];
		
	public:
		TPageIdle(){};
		TPageIdle(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);	
		
		void DrawNormalText(int centre_x, int centre_y, unsigned int cClr, unsigned int bClr);
		static void sDrawDebugText(int centre_x, int centre_y, unsigned int cClr, unsigned int bClr);
		void DrawSelf(void);
		void Show(void);
		void ReDraw(void);
		void DrawCaption(void);
		void RenderContent(void);
		
		TGuiMsgReturn KeyIn(unsigned char aKey);

		void Hide();
		
		void ShowPrjName();
		void ShowBuildDateTime();
		void ShowRunDateTime();
		void ShowRunDateTimeEn();
		void DrawCountDownDay();
		
		void TaskBySecCall();
		
		int ExtRequst(unsigned char Prm){IsShowing =0; return 0;}
};





#endif





